{
  lib,
  config,
  ...
}:
let
  aliases = config.khscodes.khs.shell.aliases;
in
{
  config = lib.mkIf config.khscodes.khs.enable {
    programs.nushell = {
      enable = true;
      shellAliases = aliases;
      extraConfig = ''
        $env.config = {
          show_banner: false
        }
      '';
      environmentVariables = config.home.sessionVariables;
    };
  };
}
